Bug 1776541 - multipath needs a Leapp actor to update multipath.conf
Summary: multipath needs a Leapp actor to update multipath.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: leapp-repository
Version: 7.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 7.9
Assignee: Leapp team
QA Contact: Alois Mahdal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-25 23:24 UTC by Ben Marzinski
Modified: 2022-01-21 12:32 UTC (History)
11 users (show)

Fixed In Version: leapp-repository-0.10.0-2.el7_8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-29 01:45:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1959 0 None None None 2020-04-29 01:46:15 UTC

Description Ben Marzinski 2019-11-25 23:24:02 UTC
Description of problem:
multipath.conf has some incompatible changes between rhel7 and rhel8. there needs to be a leapp actor that recognizes files that use config options that need to be changed, and changes them.

Useful URLS:
https://leapp.readthedocs.io/en/latest/
https://github.com/oamg/leapp-repository

Comment 2 Ben Marzinski 2020-03-23 18:08:38 UTC
I've submitted a Pull Request for the multipath actors here:

https://github.com/oamg/leapp-repository/pull/473

Please feel free to reassign this back to me if there is more work that needs to be done.

Comment 3 Petr Stodulka 2020-04-17 10:21:51 UTC
Thanks Ben!  That was excellent work. Part of the current build.

Comment 9 errata-xmlrpc 2020-04-29 01:45:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1959


Note You need to log in before you can comment on or make changes to this bug.